# DataExchange
TKSTEPAttr
StepVisual

# StepVisual_AreaInSet Class Reference

`#include <StepVisual_AreaInSet.hxx>`

## Public Member Functions

Standard_EXPORT | StepVisual_AreaInSet ()
| Returns a AreaInSet .
virtual Standard_EXPORT void | Init (const Handle(StepVisual_PresentationArea)&aArea, const Handle(StepVisual_PresentationSet)&aInSet)
Standard_EXPORT void | SetArea (const Handle(StepVisual_PresentationArea)&aArea)
Standard_EXPORT Handle_StepVisual_PresentationArea | Area () const
Standard_EXPORT void | SetInSet (const Handle(StepVisual_PresentationSet)&aInSet)
Standard_EXPORT Handle_StepVisual_PresentationSet | InSet () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepVisual_PresentationArea | area
Handle_StepVisual_PresentationSet | inSet

## Constructor & Destructor Documentation

Standard_EXPORT StepVisual_AreaInSet::StepVisual_AreaInSet | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepVisual_PresentationArea StepVisual_AreaInSet::Area | ( |  | ) | const

Standard_EXPORT const StepVisual_AreaInSet::Handle | ( | Standard_Type |  | ) | const

virtual Standard_EXPORT void StepVisual_AreaInSet::Init | ( | const Handle(StepVisual_PresentationArea)& | aArea,
|  | const Handle(StepVisual_PresentationSet)& | aInSet
| ) | `[virtual]`

Standard_EXPORT Handle_StepVisual_PresentationSet StepVisual_AreaInSet::InSet | ( |  | ) | const

Standard_EXPORT void StepVisual_AreaInSet::SetArea | ( | const Handle(StepVisual_PresentationArea)& | aArea | ) |

Standard_EXPORT void StepVisual_AreaInSet::SetInSet | ( | const Handle(StepVisual_PresentationSet)& | aInSet | ) |

## Field Documentation

Handle_StepVisual_PresentationArea StepVisual_AreaInSet::area `[private]`

Handle_StepVisual_PresentationSet StepVisual_AreaInSet::inSet `[private]`

The documentation for this class was generated from the following file:

- StepVisual_AreaInSet.hxx